Skip to main content
GET
Retrieve run details

Authorizations

Authorization
string
header
required

A personal API key or an OAuth 2.0 access token. Personal API keys also require the x-auth-key header with your user ID.

Query Parameters

run_id
string
required

ID of the flow run to retrieve

user_id
string

The id for the user initiating the flow. Required if project_id is not provided.

project_id
string

The id of the project within which the flow is executed. Required if user_id is not provided.

Response

Successful retrieval of flow run details

user_id
string

The id for the user initiating the flow.

state
enum<string>
Available options:
RUNNING,
DONE,
TERMINATING,
FAILED,
TERMINATED,
QUEUED
outputs
object

JSON object where keys are the output_name parameters of your Gumloop Output nodes and the values are the values that get sent to your node.

created_ts
string<date-time>

Timestamp for when the flow was started.

finished_ts
string<date-time>

Timestamp for when the flow completed.

log
string[]

A list of log entries from your Gumloop flow run.